Subject: Re: [bug#72643] [PATCH core-updates 0/6] Restore i586-gnu (GNU/Hurd) support

From: Janneke Nieuwenhuizen <[email-masked]>
Date: Fri, 16 Aug 2024 16:07:32 +0200

Ludovic Courtès writes:

Hi!

> This patch series fixes Hurd support (i586-gnu) on ‘core-updates’,
> as described <https://issues.guix.gnu.org/72315>.  It does so by
> updating the ‘glibc-bootstrap’ tarball.

[..]

> I’d like to push this to ‘core-updates’ soon since it’s probably the
> last blocker before we can merge.
>
> Thoughts?

As mentioned on IRC, I've reconfigured my system to core-updates+this
patch series and it works for me.  I'm using a close variant of the
`devel-hurd.tmpl' from the hurd-team branch

    https://git.savannah.gnu.org/cgit/guix.git/tree/gnu/system/examples/devel-hurd.tmpl?h=hurd-team

and removed the new imagemagick dependency

--8<---------------cut here---------------start------------->8---
--- a/gnu/system/examples/devel-hurd.tmpl
+++ b/gnu/system/examples/devel-hurd.tmpl
@@ -59,7 +59,7 @@
 (define guix-packages
   (filter-map input->package
               (fold alist-delete (package-direct-inputs guix)
-                    '("glibc-utf8-locales" "graphviz" "po4a"))))
+                    '("glibc-utf8-locales" "graphviz" "imagemagick" "po4a"))))
--8<---------------cut here---------------end--------------->8---
 
Greetings,
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com